package config

type Config struct {
	Core CoreConfig `toml:"core"`
	Web  WebConfig  `toml:"web"`
}

type WebConfig struct {
	// Domain should be the instance's full domain, including https:// but without the trailing slash.
	Domain string `toml:"domain"`

	// Port is the port the server should listen on.
	Port int `toml:"port"`
}

type CoreConfig struct {
	Postgres  string `toml:"postgres"`
	Dev       bool   `toml:"dev"`
	SecretKey string `toml:"secret_key"`
}
